%define upstream_name    Test-ExpectAndCheck
%define upstream_version 0.06

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}_Expectation

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    C<expect/check>-style unit testing with C<Future>-returning methods
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Future::Deferred)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This package creates objects that assist in writing unit tests with mocked
object instances. Each mock instance will expect to receive a given list of
method calls. Each method call is checked that it received the right
arguments, and will return a prescribed result. At the end of each test,
each object is checked to ensure all the expected methods were called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 28 2023 tv <tv> 0.60.0-2.mga10
+ Revision: 2002529
+ rebuild (emptylog)

* Sat Oct 28 2023 tv <tv> 0.60.0-1.mga10
+ Revision: 2002512
- imported package perl-Test-ExpectAndCheck

